https://bugs.gentoo.org/902993

--- a/configure
+++ b/configure
@@ -48533,7 +48533,7 @@
 done
 
 if test "x${have_libcurl}" = "xyes"; then
-{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if libcurl is version 7 and >= 7.28.0" >&5
+{ printf "%s\n" "$as_me:${as_lineno-$LINENO}: checking if libcurl is version 7 and >= 7.28.0 or version 8" >&5
 printf %s "checking if libcurl is version 7 and >= 7.28.0... " >&6; }
 if test ${r_cv_have_curl728+y}
 then :
@@ -48551,8 +48551,10 @@
 int main(int argc, const char * argv[])
 {
 #ifdef LIBCURL_VERSION_MAJOR
-#if LIBCURL_VERSION_MAJOR > 7
+#if LIBCURL_VERSION_MAJOR > 8
   exit(1);
+#elif LIBCURL_VERSION_MAJOR == 8
+  exit(0);
 #elif LIBCURL_VERSION_MAJOR == 7 && LIBCURL_VERSION_MINOR >= 28
   exit(0);
 #else
--- a/m4/R.m4
+++ b/m4/R.m4
@@ -4300,15 +4300,17 @@
 AC_CHECK_HEADERS(curl/curl.h, [have_libcurl=yes], [have_libcurl=no])
 
 if test "x${have_libcurl}" = "xyes"; then
-AC_CACHE_CHECK([if libcurl is version 7 and >= 7.28.0], [r_cv_have_curl728],
+AC_CACHE_CHECK([if libcurl is version 7 and >= 7.28.0 or verion 8], [r_cv_have_curl728_8],
 [AC_RUN_IFELSE([AC_LANG_SOURCE([[
 #include <stdlib.h>
 #include <curl/curl.h>
 int main(int argc, const char * argv[]) 
 {
 #ifdef LIBCURL_VERSION_MAJOR
-#if LIBCURL_VERSION_MAJOR > 7
+#if LIBCURL_VERSION_MAJOR > 8
   exit(1);
+#elif LIBCURL_VERSION_MAJOR == 8
+  exit(0);
 #elif LIBCURL_VERSION_MAJOR == 7 && LIBCURL_VERSION_MINOR >= 28
   exit(0);
 #else
@@ -4318,9 +4320,9 @@
   exit(1);
 #endif
 }
-]])], [r_cv_have_curl728=yes], [r_cv_have_curl728=no], [r_cv_have_curl728=no])])
+]])], [r_cv_have_curl728_8=yes], [r_cv_have_curl728_8=no], [r_cv_have_curl728_8=no])])
 fi
-if test "x${r_cv_have_curl728}" = xno; then
+if test "x${r_cv_have_curl728_8}" = xno; then
   have_libcurl=no
 fi
 
